Bug 23788 - Writing off multiple fees allows 'overpayment' of those fees
Summary: Writing off multiple fees allows 'overpayment' of those fees
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Kyle M Hall
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on:
Blocks: 24100
  Show dependency treegraph
 
Reported: 2019-10-09 17:10 UTC by Kyle M Hall
Modified: 2019-11-25 13:55 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23788: Rename $select to $selected_accts (1.68 KB, patch)
2019-10-09 17:15 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23788: Rename $select_lines to $selected_lines (1.35 KB, patch)
2019-10-09 17:16 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23788: Recalculate ammount due for selected accountlines (3.44 KB, patch)
2019-10-09 17:16 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23788: Recalculate ammount due for selected accountlines (3.15 KB, patch)
2019-10-09 17:23 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23788: Recalculate ammount due for selected accountlines (4.65 KB, patch)
2019-10-09 17:34 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23788: Rename $select to $selected_accts (1.74 KB, patch)
2019-10-16 11:51 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23788: Rename $select_lines to $selected_lines (1.41 KB, patch)
2019-10-16 11:51 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23788: Recalculate ammount due for selected accountlines (4.80 KB, patch)
2019-10-16 11:51 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23788: Rename $select to $selected_accts (1.74 KB, patch)
2019-10-25 15:22 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23788: Rename $select to $selected_accts (1.74 KB, patch)
2019-10-25 15:25 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23788: Rename $select_lines to $selected_lines (1.41 KB, patch)
2019-10-25 15:26 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23788: Recalculate ammount due for selected accountlines (4.80 KB, patch)
2019-10-25 15:26 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23788: Rename $select to $selected_accts (1.79 KB, patch)
2019-11-08 15:38 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23788: Rename $select_lines to $selected_lines (1.46 KB, patch)
2019-11-08 15:38 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23788: Recalculate ammount due for selected accountlines (4.84 KB, patch)
2019-11-08 15:38 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2019-10-09 17:10:07 UTC
Individual fees cannot be overpaid of over-written off, but it's possible to 'overpay' a writeoff of selected fees.
Comment 1 Kyle M Hall 2019-10-09 17:15:58 UTC
Created attachment 93932 [details] [review]
Bug 23788: Rename $select to $selected_accts
Comment 2 Kyle M Hall 2019-10-09 17:16:46 UTC
Created attachment 93933 [details] [review]
Bug 23788: Rename $select_lines to $selected_lines
Comment 3 Kyle M Hall 2019-10-09 17:16:49 UTC
Created attachment 93934 [details] [review]
Bug 23788: Recalculate ammount due for selected accountlines

Individual fees cannot be overpaid of over-written off, but it's possible to 'overpay' a writeoff of selected fees.

Test Plan:
1) Create 3 fees
2) Pick 2 and choose "Write off selected"
3) Write off more than the total amount of those fees
4) Apply this patch set
5) Restart all the things!
6) Try again, you should no longer be able to!
Comment 4 Kyle M Hall 2019-10-09 17:23:20 UTC
Created attachment 93935 [details] [review]
Bug 23788: Recalculate ammount due for selected accountlines

Individual fees cannot be overpaid of over-written off, but it's possible to 'overpay' a writeoff of selected fees.

Test Plan:
1) Create 3 fees
2) Pick 2 and choose "Write off selected"
3) Write off more than the total amount of those fees
4) Apply this patch set
5) Restart all the things!
6) Try again, you should no longer be able to!
Comment 5 Kyle M Hall 2019-10-09 17:34:58 UTC
Created attachment 93936 [details] [review]
Bug 23788: Recalculate ammount due for selected accountlines

Individual fees cannot be overpaid of over-written off, but it's possible to 'overpay' a writeoff of selected fees.

Test Plan:
1) Create 3 fees
2) Pick 2 and choose "Write off selected"
3) Write off more than the total amount of those fees
4) Apply this patch set
5) Restart all the things!
6) Try again, you should no longer be able to!
Comment 6 Tomas Vlasak 2019-10-16 10:50:57 UTC
sorry this doesnt apply.
Comment 7 Kyle M Hall 2019-10-16 11:51:21 UTC
Created attachment 94276 [details] [review]
Bug 23788: Rename $select to $selected_accts

Signed-off-by: Sean McGarvey <seanm@pascolibraries.org>
Comment 8 Kyle M Hall 2019-10-16 11:51:31 UTC
Created attachment 94277 [details] [review]
Bug 23788: Rename $select_lines to $selected_lines

Signed-off-by: Sean McGarvey <seanm@pascolibraries.org>
Comment 9 Kyle M Hall 2019-10-16 11:51:34 UTC
Created attachment 94278 [details] [review]
Bug 23788: Recalculate ammount due for selected accountlines

Individual fees cannot be overpaid of over-written off, but it's possible to 'overpay' a writeoff of selected fees.

Test Plan:
1) Create 3 fees
2) Pick 2 and choose "Write off selected"
3) Write off more than the total amount of those fees
4) Apply this patch set
5) Restart all the things!
6) Try again, you should no longer be able to!

Signed-off-by: Sean McGarvey <seanm@pascolibraries.org>
Comment 10 Kyle M Hall 2019-10-25 15:22:51 UTC
Created attachment 94786 [details] [review]
Bug 23788: Rename $select to $selected_accts

Signed-off-by: Sean McGarvey <seanm@pascolibraries.org>
Comment 11 Kyle M Hall 2019-10-25 15:25:58 UTC
Created attachment 94787 [details] [review]
Bug 23788: Rename $select to $selected_accts

Signed-off-by: Sean McGarvey <seanm@pascolibraries.org>
Comment 12 Kyle M Hall 2019-10-25 15:26:07 UTC
Created attachment 94788 [details] [review]
Bug 23788: Rename $select_lines to $selected_lines

Signed-off-by: Sean McGarvey <seanm@pascolibraries.org>
Comment 13 Kyle M Hall 2019-10-25 15:26:09 UTC
Created attachment 94789 [details] [review]
Bug 23788: Recalculate ammount due for selected accountlines

Individual fees cannot be overpaid of over-written off, but it's possible to 'overpay' a writeoff of selected fees.

Test Plan:
1) Create 3 fees
2) Pick 2 and choose "Write off selected"
3) Write off more than the total amount of those fees
4) Apply this patch set
5) Restart all the things!
6) Try again, you should no longer be able to!

Signed-off-by: Sean McGarvey <seanm@pascolibraries.org>
Comment 14 Martin Renvoize 2019-11-08 15:38:40 UTC
Created attachment 95232 [details] [review]
Bug 23788: Rename $select to $selected_accts

Signed-off-by: Sean McGarvey <seanm@pascolibraries.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 15 Martin Renvoize 2019-11-08 15:38:43 UTC
Created attachment 95233 [details] [review]
Bug 23788: Rename $select_lines to $selected_lines

Signed-off-by: Sean McGarvey <seanm@pascolibraries.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 16 Martin Renvoize 2019-11-08 15:38:47 UTC
Created attachment 95234 [details] [review]
Bug 23788: Recalculate ammount due for selected accountlines

Individual fees cannot be overpaid of over-written off, but it's possible to 'overpay' a writeoff of selected fees.

Test Plan:
1) Create 3 fees
2) Pick 2 and choose "Write off selected"
3) Write off more than the total amount of those fees
4) Apply this patch set
5) Restart all the things!
6) Try again, you should no longer be able to!

Signed-off-by: Sean McGarvey <seanm@pascolibraries.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 17 Martin Renvoize 2019-11-08 15:39:53 UTC
Works as expected and passes qa scripts.

Passing QA
Comment 18 Martin Renvoize 2019-11-11 10:33:09 UTC
Nice work!

Pushed to master for 19.11.00